package main

import (
	"buildme"
	"flag"

	_ "buildme/fetcher/git"
	_ "buildme/fetcher/path"
	"buildme/utils"

	"dev.hexasoftware.com/hxs/prettylog"
)

var (
	log = prettylog.New("builder")
)

func main() {
	prettylog.Global()

	log.Println("R:", utils.ParseField(`this is a "test    1 2 3"`))

	var fetchType string
	var fetchPath string
	var fetchName string
	flag.StringVar(&fetchType, "t", "path", "Select fetcher <git,path>")
	flag.StringVar(&fetchName, "n", "", "Project name")
	flag.Parse()

	if flag.NArg() == 0 {
		log.Println("Missing parameter")
		return
	}
	fetchPath = flag.Arg(0)

	var err error

	log.Println("Testing new build")

	/* Ideal:
	proj, err := buildme.Fetch(fetchType,fetchUrl)
	proj.Task("which")
	*/

	proj, err := buildme.Fetch(fetchType, fetchPath)
	if err != nil {
		log.Println("Error fetching", err)
		return
	}
	buildme.Prepare(proj) //XXX: This will change
	err = proj.Task("build")
	if err != nil {
		log.Println("Error building", err)
	}
	proj.Close()

	/*err = buildme.Build(fetchType, fetchPath, fetchName)*/

}
